/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\mobiles\testmobile.cs
Lines of code: 71
***********************************************************/


using System;
using Server.Mobiles;
using Server.Items;
using System.Collections;
using Server.Spells.Eighth;
using Server.Spells.Necromancy;

namespace Server.Mobiles
{
	[CorpseName( "a corpse" )]
	public class testmobile : BaseCreature
	{	
		[Constructable]
		public testmobile() : base( AIType.AI_Super, FightMode.Closest, 10, 1, 1,  1 )
		{
			Name = "a test mob";
			Body = 1;

			SetDex( 121, 170 );

			SetHits( 312, 353 );

			SetDamage( 18, 28 );

			SetDamageType( ResistanceType.Physical, 75 );
			SetDamageType( ResistanceType.Energy, 25 );

			SetResistance( ResistanceType.Physical, 80, 90 );
			SetResistance( ResistanceType.Fire, 70, 80 );
			SetResistance( ResistanceType.Cold, 40, 50 );
			SetResistance( ResistanceType.Poison, 50, 60 );
			SetResistance( ResistanceType.Energy, 50, 60 );

			SetSkill( SkillName.EvalInt, 90.1, 100.0 );
			SetSkill( SkillName.Magery, 99.1, 100.0 );
			SetSkill( SkillName.Meditation, 90.1, 100.0 );
			SetSkill( SkillName.MagicResist, 100.5, 150.0 );
			SetSkill( SkillName.Tactics, 80.1, 90.0 );
			SetSkill( SkillName.Wrestling, 80.1, 90.0 );

			Fame = 24000;
			Karma = -24000;
		}
		
		public override void GenerateLoot()
		{
		}
		
		
		public override int AuraDamageMin {get{return 10;}}		
		public override int AuraDamageMax {get{return 40;}}
		
		public override int AuraEffectID {get{return 0x374A;}}			//effect item id shown on affected mobiles
		public override int AuraEffectType {get{return 9502;}}		//effect id shown on affected mobiles
		public override int AuraEffectHue {get{return 5013;}} 			//effect hue to show on affected mobiles
		public override int AuraEffectRender {get{return 0x496;}} 			//effect render mode to show on affected mobiles
		public override int AuraEffectSound {get{return 0x231;}}			//effect sound id to show on affected mobiles			
		
		public override TextDefinition AuraEffectText {get{return "You feel the life drain out of you!";}}//cliloc/string sent to affected mobiles				
		public override int AuraRange {get{return 2;}}				//the range in tiles, of the aura
		public override bool AuraIgnoreLOS {get{return true;}}		//whether to ignore LOS	

		
		public override void OnThink()
		{
			DoAura();
			base.OnThink();			
		}
		
		
		
		public override bool CanRegenHits{ get{ return false; } }
		public override bool CanRegenStam{ get{ return false; } }
		public override bool CanRegenMana{ get{ return false; } }

		public testmobile(Serial serial) : base(serial)
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}